function x = cutoff_bc(x, lb, ub)
% x = cutoff(x, lb, ub)
%   Constraint handling method: forces a vector back into the box
%   defined by lb and ub by cutting the values off at the boundaries.
%
% Last modified: August 20, 2009

x = (x >= lb) .* (x <= ub) .* x + (x < lb) .* lb + (x > ub) .* ub;